Subject: Re: Merging only a subdirectory from one branch to the other

From: Neal Kreitzinger <[email-masked]>
Date: Thu, 09 Feb 2012 18:51:45 -0600

On 2/7/2012 3:38 AM, Howard Miller wrote:

> I have a branch with a particular subdirectory tree. The tree has a
> lot of history. However, all the history for that subdirectory is
> exclusive to it (no commits changed anything outside it). I now need
> to merge that subdirectory into a completely different branch without
> loosing any history. I think git-read-tree might have something to do
> with it but I don't understand the help file at all. Any help
> appreciated.
>
Does the 'subtree merge' described in this link do what you want: 
http://progit.org/book/ch6-7.html
(I can't say I've actually tried it myself, yet.)

v/r,
neal